Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.converter
Class WordToFoConverter

    java.lang.Object
      org.apache.poi.hwpf.converter.AbstractWordConverter
          org.apache.poi.hwpf.converter.WordToFoConverter

    public class WordToFoConverter

extends AbstractWordConverter

Author:
  Sergey Vladimirov (vlsergey {at} gmail {dot} com)

Constructor Summary
`WordToFoConverter(org.w3c.dom.Document document)` Creates new instance of `WordToFoConverter`.
`WordToFoConverter(FoDocumentFacade foDocumentFacade)`

Method Summary
`org.w3c.dom.Document` | `getDocument()`
`boolean` | `isOutputCharactersLanguage()`
`static void` | `main(java.lang.String[] args)` Java main() interface to interact with `WordToFoConverter`
`void` | `setOutputCharactersLanguage(boolean outputCharactersLanguage)`

Methods inherited from class org.apache.poi.hwpf.converter.AbstractWordConverter
`getFontReplacer, getPicturesManager, processDocument, setFontReplacer, setPicturesManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WordToFoConverter

    public WordToFoConverter(org.w3c.dom.Document document)

  Creates new instance of `WordToFoConverter`. Can be used for output several `HWPFDocument`s into single FO document.

  Parameters:
    `document` - XML DOM Document used as XSL FO document. Shall support namespaces

### WordToFoConverter

    public WordToFoConverter(FoDocumentFacade foDocumentFacade)

Method Detail

### main

    public static void main(java.lang.String[] args)

  Java main() interface to interact with `WordToFoConverter`

  Usage: WordToFoConverter infile outfile

  Where infile is an input .doc file ( Word 97-2007) which will be rendered as XSL-FO into outfile

### getDocument

    public org.w3c.dom.Document getDocument()

  Specified by:
    `getDocument` in class `AbstractWordConverter`

### isOutputCharactersLanguage

    public boolean isOutputCharactersLanguage()

### setOutputCharactersLanguage

    public void setOutputCharactersLanguage(boolean outputCharactersLanguage)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD